Subject: Re: [PATCH] am: let command-line options override saved options

From: Junio C Hamano <[email-masked]>
Date: Tue, 28 Jul 2015 09:48:05 -0700

Paul Tan <[email-masked]> writes:

> When resuming, git-am ignores command-line options. For instance, when a
> patch fails to apply with "git am patch", subsequently running "git am
> --3way patch" would not cause git-am to fall back on attempting a

The second one goes without any file argument, i.e. "git am -3".

> threeway merge. This occurs because by default the --3way option is
> saved as "false", and the saved am options are loaded after the
> command-line options are parsed, thus overwriting the command-line
> options when resuming.
>
> Fix this by moving the am_load() function call before parse_options(),
> so that command-line options will override the saved am options.

Makes sense.